Bug 1600 - --bg options to work in daemon() function
: --bg options to work in daemon() function
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P4 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-11-21 17:18 by
Modified: 2003-08-25 15:18 (History)


Attachments
0001600-functions.diff (812 bytes, text/x-diff)
2002-12-08 17:01, Igor Homyakov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-11-21 17:18:08
при использовании конструкции
daemon --bg some_program

эта конструкция приобразуется в строку вида
initlog $INITLOG_ARGS -c \"$*$bg\" 
при вызове которой bg=\'&\' передаеться как опция программе
минуя shell

в ре-те запускаемая программа не может распознать опцию \'&\' и завершаеться не удачно

---

---

------- Comment #1 From 2002-12-08 17:02:25 -------
Please try attached patch.
------- Comment #2 From 2002-12-08 17:02:25 -------
Please try attached patch.
------- Comment #3 From 2002-12-10 16:53:44 -------
solved
------- Comment #4 From 2002-12-10 16:53:44 -------
solved
------- Comment #5 From 2002-12-28 19:31:12 -------
Fixed in 5.49-ipl46mdk
------- Comment #6 From 2002-12-28 19:31:12 -------
Fixed in 5.49-ipl46mdk